Subject: [bug#46215] [PATCH] Add yadm

From: Ellis Kenyő <[email-masked]>
Date: Sun, 31 Jan 2021 20:16:32 +0000

Hi Leo,

Thanks for the feedback.

> Your commit is missing a ChangeLog in its message.
This will be added with the next patch.

> Document why (i.e. "no check target").
I have also added similar comments for the other removed stages.

> yadm has a few things you need to patch.  For one, its shebang 
> is
> /bin/sh despite requiring bash.  Also it contains a large number 
> of
> _PROGRAM variables, which would be need to be replaced by their 
> actual
> store path (use the which procedure for that).

Patch them to be the $(which <exe>) expression or evaluate that?
If the latter, I'm not sure how that would handle installing deps
retroactively.

> Nice advertisement, but not really a description.  yadm.1 has a 
> better
> one, but keep to the formatting in Guix (particularly double 
> spaces
> after sentence end).
I was looking for an accurate description on the site, I have 
replaced
with that and the linter passes.

> Should be gpl3+.
This will also be added to the next patch.

Leo Prikler <[email-masked]> writes:

> Hello Ellis,
>
> Am Sonntag, den 31.01.2021, 16:47 +0000 schrieb Ellis Kenyo:
>> ---
>>  gnu/packages/package-management.scm | 32
>> +++++++++++++++++++++++++++++
>>  1 file changed, 32 insertions(+)
> Your commit is missing a ChangeLog in its message.
>
>> [...]
>> +    (build-system gnu-build-system)
>> +    (arguments
>> +     '(#:tests? #f
> Document why (i.e. "no check target").
>
>> +       #:make-flags (list (string-append "PREFIX=" (assoc-ref
>> %outputs "out")))
>> +       #:phases
>> +       (modify-phases %standard-phases
>> +         (delete 'bootstrap)
>> +         (delete 'configure)
>> +         (delete 'build))))
> yadm has a few things you need to patch.  For one, its shebang 
> is
> /bin/sh despite requiring bash.  Also it contains a large number 
> of
> _PROGRAM variables, which would be need to be replaced by their 
> actual
> store path (use the which procedure for that).
>
>> +    (description "When you live in a command line, 
>> configurations
>> are a deeply
>> +personal thing. They are often crafted over years of 
>> experience,
>> battles lost,
>> +lessons learned, advice followed, and ingenuity rewarded. When 
>> you
>> are away
>> +from your own configurations, you are an orphaned refugee in
>> unfamiliar and
>> +hostile surroundings. You feel clumsy and out of sorts. You 
>> are
>> filled with a
>> +sense of longing to be back in a place you know. A place you 
>> built.
>> A place
>> +where all the short-cuts have been worn bare by your own 
>> travels. A
>> place you
>> +proudly call… $HOME.")
> Nice advertisement, but not really a description.  yadm.1 has a 
> better
> one, but keep to the formatting in Guix (particularly double 
> spaces
> after sentence end).
>
>> +    (license license:gpl3)))
> Should be gpl3+.
>
> Regards,
> Leo

-- 
---
elken